package cz.moneta.test.dsl.mwf;

import java.util.Map;

public class MWFJF9Data {

    private Map<String, Object> params;
    
    public MWFJF9Data(Map<String, Object> params) {
        this.params = params;
    }

    public String rsAdresat() {
        return (String) params.get("RS_ADRESAT");
    }

    public String rsCo() {
        return (String) params.get("RS_CO");
    }

    public String rsCp() {
        return (String) params.get("RS_CP");
    }

    public Long rsCisloproduktu() {
        return (Long) params.get("RS_CISLOPRODUKTU");
    }

    public String rsNazevproduktu() {
        return (String) params.get("RS_NAZEVPRODUKTU");
    }

    public String rsObec() {
        return (String) params.get("RS_OBEC");
    }

    public String rsPsc() {
        return (String) params.get("RS_PSC");
    }

    public String rsPosta() {
        return (String) params.get("RS_POSTA");
    }

    public String rsTypproduktu() {
        return (String) params.get("RS_TYPPRODUKTU");
    }

    public String rsUlice() {
        return (String) params.get("RS_ULICE");
    }

    public String rsZeme() {
        return (String) params.get("RS_ZEME");
    }

    public String rsJmeno() {
        return (String) params.get("RS_JMENO");
    }

    public Long rsPoradi() {
        return (Long) params.get("RS_PORADI");
    }

    public Long rsIcbApp() {
        return (Long) params.get("RS_ICB_APP");
    }

    public Long rsIcbTyp() {
        return (Long) params.get("RS_ICB_TYP");
    }

    public String rsPktypadresy() {
        return (String) params.get("RS_PKTYPADRESY");
    }

    public String rsPrijmeni() {
        return (String) params.get("RS_PRIJMENI");
    }

    public String rsTitulza() {
        return (String) params.get("RS_TITULZA");
    }

    public String rsTitulpred() {
        return (String) params.get("RS_TITULPRED");
    }

    public String rsDruhejmeno() {
        return (String) params.get("RS_DRUHEJMENO");
    }

    public String rsCtvrt() {
        return (String) params.get("RS_CTVRT");
    }

    public String rsTypadresy() {
        return (String) params.get("RS_TYPADRESY");
    }

    public String rsOkres() {
        return (String) params.get("RS_OKRES");
    }

    public String rsEvn() {
        return (String) params.get("RS_EVN");
    }

    public String rsCisloproduktumask() {
        return (String) params.get("RS_CISLOPRODUKTUMASK");
    }

    public String rsDisplaytext() {
        return (String) params.get("RS_DISPLAYTEXT");
    }

    public String rsIdadresy() {
        return (String) params.get("RS_IDADRESY");
    } 

}
